.popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10000;
    display: flex;
    justify-content: center;
    align-items: center;

    opacity: 0;
    visibility: hidden;
    transition: .3s;

    inset: 6rem;

    .close {
        position: absolute;
        right: 2rem;
        top: 2rem;
        display: block;
        width: 3.6rem;
        height: 3.6rem;
        @include link;
        cursor: pointer;

        &:hover {
            transform: rotate(90deg);
        }
    }

    .popup-bg {
        background: #000;
        opacity: 0;
        transition: .5s;
        @include abs-block;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: -1;

    }

    .popup-cnt {
        position: relative;
        z-index: 10001;
        overflow: auto;
        clip-path: inset(0% 0% 0% 100%);
        // opacity: 0;
        // transform: translateY(100px);
        transition: 1s;
        padding: 6rem;
        width: 100%;
        max-height: 80rem;
        height: 100%;

        @media (max-width: 767px) {
            padding: 0;
        }
        @include mobile {
            height: auto;
        }

        // ROW
        &-row {
            position: relative;
            width: 100%;
            height: 100%;
            background: $white;
            border-radius: .6rem;
            display: grid;
            grid-template-columns: 10rem 1fr 50rem;
            column-gap: 5rem;
            overflow: hidden;
            // overflow: auto;

            @media (min-width: 1660px) {
                grid-template-columns: 13rem 1fr 50rem;
                column-gap: 15rem;
            }

            @include mobile {
                display: block;
            }

            @include tablet {
                grid-template-columns: 8rem 1fr;
            }

            @include tabletBig {
                grid-template-columns: 8rem 1fr 30rem;
            }

            @media (min-width: 1200px) and (max-width: 1365px) {
                grid-template-columns: 8rem 1fr 30rem;
                column-gap: 3rem;
            }

            // BACK
            &-back {
                display: flex;
                align-items: center;
                padding-left: 4rem;

                @media (min-width: 1660px) {
                    padding-left: 6rem;
                }

                @include mobile {
                    padding-left: 5%;
                    padding-top: 8rem;
                }

                @include tablet {
                     padding-left: 2rem;
                }

                @include tabletBig {
                    padding-left: 2rem;
                }

                @media (min-width: 1200px) and (max-width: 1365px) {
                    padding-left: 2rem;
                }

                .btn-back {
                    @include rel-block;
                    width: 6rem;
                    height: 6rem;
                    border-radius: 50%;
                    background: $blc url(../svg/arrow-back.svg) center no-repeat;
                    border: 0;
                    outline: none;
                    opacity: 1;
                    @include link;

                    &:hover {
                        transform: translateX(-1rem);
                    }

                    @media (min-width: 1200px) and (max-width: 1365px) {
                        width: 5rem;
                    height: 5rem;
                    }
                }
            }

            &-text {
                display: flex;
                flex-direction: column;
                justify-content: center;
                height: 100%;
                padding-right: 5rem;

                transform: translate(20%, 0%);
                transition: all 1000ms ease;
                opacity: 0;

                @media (min-width: 1660px) {
                    padding-right: 0;
                }

                @include mobile {
                    padding-left: 5%;
                    padding-right: 5%;
                    padding-bottom: 10rem;
                }

                @include tablet {
                    padding-right: 6rem;
                }

                @include tabletBig {
                    padding-right: 0;
                }

                h1,
                h2,
                h3 {
                    font-weight: 600;
                    font-size: 2.8rem;
                    line-height: 125%;
                    text-align: left;
                    color: $blc;
                    margin-bottom: 4rem;
                    margin-top: 2rem;

                    @include tablet {
                        margin-bottom: 2rem;
                    }

                    @include tabletBig {
                        margin-bottom: 2rem;
                    }

                    @media (min-width: 1200px) and (max-width: 1365px) {
                        margin-bottom: 2rem;
                    }
                }

                ul {
            margin-bottom: 4rem;

            li {
                margin-bottom: 2rem;
                @include rel-block;
                padding-left: 2.4rem;

                &:before {
                    @include abs-block;
                    width: .8rem;
                    height: .8rem;
                    z-index: 1;
                    content: '';
                    top: .7rem;
                    left: 0;
                    background: $orange;
                    border-radius: 50%;

                }
            }
        }

                @media (min-width: 1200px) and (max-width: 1365px) {
                    p, li {
                        font-size: 1.2rem;
                    }
                    p {
                        margin-bottom: 1rem;
                    }
                    ul li {
                        margin-bottom: 1rem;
                        padding-left: 1.6rem;
                        &:before {
                            top: .4rem;
                        }
                    }
                }
            }

            // IMAGE
            &-image {
                @include rel-block;
                overflow: hidden;

                @include tablet {
display: none
                }

                .lazyload {
                    transform: translate(20%, 0%);
                    transition: all 1000ms ease;
                    opacity: 0;
                    @include fotoBg;
                }

                & .array {
                    @include abs-block;
                    z-index: 2;
                    top: 0;
                    left: -10rem;
                    @include link;
                }

                .go {
                    transform: translateY(-77rem);
                    transition: all 16000ms ease-out;
                    opacity: 1;
                }

            }
        }
    }

}

// //HTML
// .html-popup {
//     overflow: hidden !important;
//     height: 100% !important;
// }

.is-popup {
    @include link;

    .popup-active .popup-bg {
        opacity: .8;
    }

    .popup-active .popup-form {
        opacity: 1;
        transform: translateY(0);
    }

    .popup-active {
        opacity: 1;
        visibility: visible;

        .popup-cnt {
            clip-path: inset(0% 0% 0% 0%);
        }

        .popup-cnt-row-image .lazyload {
            transform: translate(0%, 0%);
            transition: all 1000ms ease;
            opacity: 1
        }

        .popup-cnt-row-text {
            transform: translate(0%, 0%);
            transition: all 1000ms ease;
            opacity: 1
        }


    }

    .what-we-do-boxes {
        transform: translate(-20%, 0%);
        transition: all 1000ms ease;
        opacity: 0;
    }
}

body.is-popup {
    overflow: hidden !important;
    height: 100% !important;




}